# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [0.1.0] - 2024-02-19

### Added
- Initial release of Manticore CockroachDB client
- High-performance connection pooling with configurable settings
- Comprehensive CRUD operations with batch support
- Schema migrations with versioning and rollback support
- Transaction management with automatic retries and exponential backoff
- Type-safe operations with proper error handling
- Extensive test coverage (90%+)
- Production-ready logging and monitoring
- Comprehensive documentation and examples

### Security
- SSL/TLS support for secure database connections
- Proper password and credential handling
- Connection pool security features
- SQL injection prevention through parameterized queries
